use crate::AppConfig;

impl AppConfig {
    pub fn auth_rotation_interval(&self) -> anyhow::Result<u64> {
        self.parse_env("APP_AUTH_ROTATION_INTERVAL_SECONDS", 10800)
    }

    pub fn auth_key_ttl(&self) -> anyhow::Result<u64> {
        self.parse_env("APP_AUTH_KEY_TTL_SECONDS", 2_592_000)
    }

    pub fn auth_session_ttl(&self) -> anyhow::Result<u64> {
        self.parse_env("APP_AUTH_SESSION_TTL_SECONDS", 2_592_000)
    }

    pub fn auth_token_ttl(&self) -> anyhow::Result<u64> {
        self.parse_env("APP_AUTH_TOKEN_TTL_SECONDS", 21_600)
    }
}
